//
//  ViewController.swift
//  TestAnimation
//
//  Created by vijay vikram singh on 1/18/17.
//  Copyright © 2017 vijay vikram singh. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    var testView : UIView?
    override func viewDidLoad() {
        super.viewDidLoad()
        let transform1 : CGAffineTransform = CGAffineTransform.init(translationX: 100, y: 200)

        let testView2 = UIView.init(frame: CGRect(x: 100, y: 200, width: 50, height: 50))
        testView2.backgroundColor = UIColor.green
        testView2.transform = transform1
        self.view.addSubview(testView2)

        testView = UIView.init(frame: CGRect(x: 100, y: 200, width: 50, height: 50))
        testView?.backgroundColor = UIColor.red
        testView?.transform = transform1
        self.view.addSubview(testView!)
    }

    @IBAction func buttonTapped(_ sender: Any) {
        var transform : CGAffineTransform = CGAffineTransform.init(translationX: 200, y: 200)
        transform = transform.rotated(by: 33)
        UIView.animate(withDuration: 5.0, delay: 0.0, options: [.allowUserInteraction, .beginFromCurrentState], animations: {
            self.testView?.transform = transform
        }) { (finished) in
            
        }
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

